Skip to main content
GET
List events

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

mailboxUuid
string<uuid>

Only return events on messages sent from this mailbox.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
messageUuid
string<uuid>

Only return events on this message.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
threadUuid
string<uuid>

Only return events in this conversation.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
kinds
enum<string>[]

Optional kind filter.

Available options:
sent,
opened,
clicked,
replied,
bounced,
unsubscribed
occurredAfter
string<date-time>

Include events that happened at or after this ISO timestamp.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
occurredBefore
string<date-time>

Include events that happened at or before this ISO timestamp.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$

Case-insensitive match on actor address, reply snippet, recipient, or the outbound subject.

Minimum string length: 1
limit
integer
default:50

Maximum number of events to return.

Required range: x <= 200
offset
integer
default:0

Number of events to skip.

Required range: 0 <= x <= 9007199254740991

Response

Successful response

count
integer
required

Total number of events matching the filters.

Required range: 0 <= x <= 9007199254740991
events
Events · object[]
required

Page of events, newest first.